commit:     1326710c5da26210005f4ec496b0c0a1af917077
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Sat Feb 18 20:22:12 2017 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Sat Feb 18 20:22:12 2017 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=1326710c

sci-biology/jtreeview: add 3.0_alpha version which executes fine

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-biology/jtreeview/jtreeview-9999.ebuild | 40 +++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/sci-biology/jtreeview/jtreeview-9999.ebuild 
b/sci-biology/jtreeview/jtreeview-9999.ebuild
new file mode 100644
index 000000000..24c5427ae
--- /dev/null
+++ b/sci-biology/jtreeview/jtreeview-9999.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PERL_EXPORT_PHASE_FUNCTIONS=no
+inherit java-pkg-2 git-r3
+
+DESCRIPTION="Viewer for Microarray Data in PCL or CDT formats"
+HOMEPAGE="http://jtreeview.sourceforge.net
+       https://bitbucket.org/TreeView3Dev/treeview3";
+EGIT_REPO_URI="https://bitbucket.org/TreeView3Dev/treeview3.git";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="" # builds and executes fines
+IUSE=""
+
+DEPEND=">virtual/jdk-1.7:*"
+RDEPEND="${DEPEND}
+       >=virtual/jre-1.7:*"
+
+src_prepare(){
+       chmod u+x ./gradle* || die
+       eapply_user
+}
+
+src_compile(){
+       # work around gradle writing $HOME/.gradle, requiring $HOME/.git and 
$HOME/.m2/
+       # https://github.com/samtools/htsjdk/issues/660#issuecomment-232155965
+       # make jure SDK-1.8 is available, JRE-1.8 is not enough
+       GRADLE_USER_HOME="${WORKDIR}" ./gradlew || die
+}
+
+src_install(){
+       cd build/libs || die
+       java-pkg_dojar *.jar
+       java-pkg_dolauncher ${PN}
+}

Reply via email to